[Overview][Constants][Types][Classes][Index] | Reference for unit 'IBConnection' (#fcl)

# TIBConnection.DatabaseName

Name of the database to connect to

## Declaration

Source position: ibconnection.pp line 134

`published property TIBConnection.DatabaseName : string;`

## Description

Name of the Interbase/Firebird database to connect to.

This can be either the path to the database or an alias name. Please see your database documentation for details.

In a client/server environment, the name indicates the location of the database on the server's file system, so if you have a Linux Firebird server, you might have something like /var/lib/firebird/2.5/data/employee.fdb

If using an embedded Firebird database, the name is a relative path relative to the fbembed library.

Note that the path is specified as an Ansistring, meaning that databases residing in directories that rely on Unicode characters will not work. (firebird itself also cannot handle this).